curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "e2cea358-0347-4d23-9d82-af00f8f5c5b2",
"name": "Test Sender Waiting Strategy",
"maximumWaitTime": {
"unit": "SECONDS",
"value": 5
},
"greetingMessage": {
"enabled": true,
"audioSourceType": "TTS",
"ttsAudioSource": {
"text": "Greetings!",
"language": "en-gb",
"voice": {
"name": "Emma",
"gender": "FEMALE"
},
"speechRate": 1
},
"fileAudioSource": null
},
"musicOnHold": {
"enabled": false,
"fileAudioSource": null
},
"announcementMessage": {
"enabled": true,
"audioSourceType": "TTS",
"ttsAudioSource": {
"text": "Greetings!",
"language": "en-gb",
"voice": {
"name": "Emma",
"gender": "FEMALE"
},
"speechRate": 1
},
"fileAudioSource": null,
"repeatInterval": {
"unit": "SECONDS",
"value": 3
}
},
"maximumWaitTimeMessage": {
"enabled": true,
"audioSourceType": "TTS",
"ttsAudioSource": {
"text": "Greetings!",
"language": "en-gb",
"voice": {
"name": "Emma",
"gender": "FEMALE"
},
"speechRate": 1
},
"fileAudioSource": null
},
"senders": [
{
"clientType": "PSTN",
"identifier": "123456789"
},
{
"clientType": "WEBRTC",
"identifier": "conversations"
}
],
"conditionType": "SENDER",
"condition": {
"senders": [
{
"clientType": "PSTN",
"identifier": "123456789"
},
{
"clientType": "WEBRTC",
"identifier": "conversations"
}
]
},
"createdAt": "2022-12-10T13:45:00.777+0000",
"updatedAt": "2022-12-10T13:45:00.777+0000"
}Get waiting strategy
Use this method to retrieve a waiting strategy by its Id. More info.
Required scope: Enable one of: conversations:manage, conversations:read.
curl --request GET \
--url https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/ccaas/voice/2/waiting-strategies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "e2cea358-0347-4d23-9d82-af00f8f5c5b2",
"name": "Test Sender Waiting Strategy",
"maximumWaitTime": {
"unit": "SECONDS",
"value": 5
},
"greetingMessage": {
"enabled": true,
"audioSourceType": "TTS",
"ttsAudioSource": {
"text": "Greetings!",
"language": "en-gb",
"voice": {
"name": "Emma",
"gender": "FEMALE"
},
"speechRate": 1
},
"fileAudioSource": null
},
"musicOnHold": {
"enabled": false,
"fileAudioSource": null
},
"announcementMessage": {
"enabled": true,
"audioSourceType": "TTS",
"ttsAudioSource": {
"text": "Greetings!",
"language": "en-gb",
"voice": {
"name": "Emma",
"gender": "FEMALE"
},
"speechRate": 1
},
"fileAudioSource": null,
"repeatInterval": {
"unit": "SECONDS",
"value": 3
}
},
"maximumWaitTimeMessage": {
"enabled": true,
"audioSourceType": "TTS",
"ttsAudioSource": {
"text": "Greetings!",
"language": "en-gb",
"voice": {
"name": "Emma",
"gender": "FEMALE"
},
"speechRate": 1
},
"fileAudioSource": null
},
"senders": [
{
"clientType": "PSTN",
"identifier": "123456789"
},
{
"clientType": "WEBRTC",
"identifier": "conversations"
}
],
"conditionType": "SENDER",
"condition": {
"senders": [
{
"clientType": "PSTN",
"identifier": "123456789"
},
{
"clientType": "WEBRTC",
"identifier": "conversations"
}
]
},
"createdAt": "2022-12-10T13:45:00.777+0000",
"updatedAt": "2022-12-10T13:45:00.777+0000"
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Id of the Waiting Strategy to get.
Response
OK
Unique id of the waiting strategy.
Waiting strategy name.
Duration information.
Show child attributes
Show child attributes
File audio source or TTS audio source information.
Show child attributes
Show child attributes
File audio source information.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
File audio source or TTS audio source information.
Show child attributes
Show child attributes
File audio source or TTS audio source information.
Show child attributes
Show child attributes
Defines which waiting strategy entity the condition applies to. Once defined, cannot be changed.
SENDER, QUEUE Defines how the 'condition' field is built, e.g., if 'SENDER', the condition is an object with an array of senders.
Time at which the waiting strategy was created.
Time stamp when waiting strategy is updated.